{% extends 'layouts/base.html' %}
{% from 'macro/form.html' import form_field %}
{% set pageTitle = "Admin: Manage-Users" %}

{% block pageCSS %}
{% endblock pageCSS %}

{% block pageJS %}

{% endblock pageJS %}

{% block pageContent %}
<div class="container-fluid">
    <form class="col-md-4 needs-validation"
		  method="POST"
		  action="{{uuid}}/update"
		  enctype="multipart/form-data">
		<!-- Ensure that the form has the csrf token, this is automatically hidden -->
		<!-- by FlaskForm -->
		{{ form.csrf_token }}
		<div class="text-center">
			<h2 class="app-name">User Details</h2>
		</div>

		<!-- Profile image, use placeholder if problems -->
		<img src="/dynamic/profile/{{uuid}}" onerror="this.src = '/public/img/profile-placeholder.png'">

		<div class="col">
		{{ form_field(form.username, placeholder="Enter your username") }}
		<!-- File upload field -->
		{{ form.photo }}
		</div>

		<div class="col">
			<button
					type="submit"
					class="btn btn-primary waves-effect"
					style="width: 100%;">
				Update
			</button>
		</div>
    </form>
</div>
{% endblock pageContent %}